<template>
  <div class="subscriptions-direction">
    <ob-radio
        v-for="direction in directions"
        :key="direction.value"
        :label="direction.title"
        v-model="points"
        :valueInput="direction.value"
        class="subscriptions-direction-radio"
    />
  </div>
</template>

<script>
  import ObRadio from 'common-components/src/obComponents/obRadio';
  import cloneDeep from 'clone-deep';
  export default {
    name: 'direction',
    components: {
      ObRadio
    },
    props: {
      subscription: {
        type: Object,
        default: () => {}
      }
    },
    data () {
      return {
        selected: '',
        directions: [
          {
            title: 'Туда/обратно',
            value: 'FROM_TO_BACKWARD'
          },
          {
            title: 'Только в одном направлении',
            value: 'FROM_TO'
          }
        ]
      };
    },
    computed: {
      points: {
        get () {
          return this.selected
        },
        set (data) {
          this.selected = data;
          this.$emit('changeType', {type: data, subscription: this.subscription})
        }
        
      }
    },
    mounted () {
      this.selected = cloneDeep(this.subscription.type);
    }
  };
</script>

<style scoped lang="scss">
  .subscriptions-direction {
    display: flex;
    padding: 0 5px;
    &-radio {
      margin-right: 14px;
    }
  }
</style>